#include <stdio.h>
#include <stdlib.h>	/* free() */
#include "defines.h"

extern	int	_Cs_fcash_; /* >0 : memory , 0:file , -1:not cash_fopen */
extern	unchar	*_Cs_cashbuff_;

int cash_fclose(FILE *fp)
/* ミニ キャッシュ システム:fclose */
/* cache buffer close */
{
	if (_Cs_fcash_>0) free(_Cs_cashbuff_);
	_Cs_fcash_=-1;
	return(fclose(fp));
}
